summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2015-09-28 07:38:07 +0200
committerHans de Graaff <graaff@gentoo.org>2015-09-28 08:12:42 +0200
commitbc151330f4c1c4ef9fadf8323500b8cca0e0e684 (patch)
treea7c1232002caee1b72051203549f971006afd54d /www-apache/passenger
parentsys-kernel/aufs-sources: Bump to latest aufs, genpatches and linux release (diff)
downloadgentoo-bc151330f4c1c4ef9fadf8323500b8cca0e0e684.tar.gz
gentoo-bc151330f4c1c4ef9fadf8323500b8cca0e0e684.tar.bz2
gentoo-bc151330f4c1c4ef9fadf8323500b8cca0e0e684.zip
www-apache/passenger: cleanup
Package-Manager: portage-2.2.20.1
Diffstat (limited to 'www-apache/passenger')
-rw-r--r--www-apache/passenger/Manifest4
-rw-r--r--www-apache/passenger/passenger-5.0.13.ebuild118
-rw-r--r--www-apache/passenger/passenger-5.0.14.ebuild118
-rw-r--r--www-apache/passenger/passenger-5.0.16.ebuild118
-rw-r--r--www-apache/passenger/passenger-5.0.4.ebuild114
5 files changed, 0 insertions, 472 deletions
diff --git a/www-apache/passenger/Manifest b/www-apache/passenger/Manifest
index 8024663a6c2..bc960b5e4b2 100644
--- a/www-apache/passenger/Manifest
+++ b/www-apache/passenger/Manifest
@@ -1,7 +1,3 @@
DIST passenger-4.0.53.tar.gz 4447609 SHA256 0b8d256cd930f93cfe723392aaa12fa3f9d5ddfddc82bbb7ab287673d029e101 SHA512 45919317c42da898783a22095fe75ed26f9142d227a25f5546f16861ce8c3ecfe2d804a845d389a00019df914cafd7625dc4e8fb31bc2f4ede5ecf41ce69c2a7 WHIRLPOOL fd205aefdec95eee82165d5a65e3dcf112544784549aa51d8a52703b51242120583e64837604ba31957e2cc98fb85a164f9ee19c367980869e0ff0159759c492
DIST passenger-4.0.59.tar.gz 4521206 SHA256 8b4756564a5133dc97425883d15d1ba1c9f6566c79e92794dc3e1f5b749238ae SHA512 d29400c71cf9530b41ce8b8d4cf94007e4d77fb4ceff290786506d6b9dfbab790f18423dc5dcd71aef07147ba2610c2982f7ca733a8e491de6a0cb3704c54bfb WHIRLPOOL 4683d19813ecbb284ec3eb9681c6c1a1b84f256f0262e6c2b1941df5872031a30da1396cb22fa1cfbad2f53f8971131ed0418c2ef4c20160a3d67f151d54208a
-DIST passenger-5.0.13.tar.gz 5556161 SHA256 9fef27b97e883e6bc55d817c52b927f2d5cd8bbc2ce79686a3de794d7e0c40e1 SHA512 68ff1e6701e431b1e26ffce8dd46198fffdddaa14bfa2f3917a20d32a7d54b3acac46d1ce797b551d9f988e7e0129d8372158f2e096342e08cb1a614d9fbf716 WHIRLPOOL 85282b61b675a0459a33208dd267d9e3b2284134bd5931df619041b5e4a2265542f9355e7f1feae2c98ffc27128504ecd46dc6493e8cbb8d55e7f9dfbf5deeac
-DIST passenger-5.0.14.tar.gz 5557110 SHA256 dbc994a9d8a0f28f2abeec25191471bbfec6e51d3e0748d7e16947bc8713f6d5 SHA512 39540136547db1b21c61174a4e86a4b5255c1f59036abbfc571eaee6fb03c48d4ec262d7fb1f1a27bf08b093112d8aaeb09c294304b597d0fdcd1fc278167b79 WHIRLPOOL 8cc983685142abbde9e85b12ee7283246fa7ebd627d56516328d6fc2ad5362439da9fcab37fffc129c2b4e992834c5efd09cfa9ee570d2c577dfd27ec8c56f95
-DIST passenger-5.0.16.tar.gz 4925041 SHA256 39799fdfa4873f67764747de1eddbe1fae759b1cd459c1c592ec71eecb462be5 SHA512 98e3c15113429bef4f01c35178c41b63fa9cd52b9fc3fc37e5e2d1a1a8d167057f73f03448b7989899d9fcce65a1a69488ae1f998dbf28368e2ee13aec909550 WHIRLPOOL 9e792dede7beaf6ee86950615cef2d4e81d8353f9077d5a9d50127eb669fe9708e8a61c597b3b5b1ad7645df8c4299060ed918ffcccdb7901db61967cfd61d98
DIST passenger-5.0.18.tar.gz 4927106 SHA256 8a92393f5413bb20686295f62a586e3af3b68e631b679413c990b5f0b58ba767 SHA512 dbe3bcdcdf1fae77b822bd157a61e28471e8139ee7165cccd819aedca7d5a0fc4204be8da9cb628fa2180807bb8c46143c98d7e9d1f84afeb6cc99695a7754af WHIRLPOOL 02686489207001383bdbad7661ce3d6303b94403e7795a16b9d7fae388d412f699342fce911d3e8038830387a76e846c213bb6cc80e9d55992ea4e511e7f6ed7
-DIST passenger-5.0.4.tar.gz 5289792 SHA256 5c29f2c1407db515ddccd540443cb34bff7ca180b3e269c2e28a34ad795f99f6 SHA512 a04bcf579a8148b34c34743a87f4f3b180218e871ed6309d7b83e9b4ab88334f01a566896c7406e3ddaf11ba0322128557cf5cfb2bcf5da7e4ea81f0539784ec WHIRLPOOL f2d523266a616d2b893963d5139be0d781a2bf76b122b4c76bb5cb6af7a655e5492b8c58d2f38f97858616108d0c3122278598fcfa7a262bab252e079e888536
diff --git a/www-apache/passenger/passenger-5.0.13.ebuild b/www-apache/passenger/passenger-5.0.13.ebuild
deleted file mode 100644
index 79dd68d1099..00000000000
--- a/www-apache/passenger/passenger-5.0.13.ebuild
+++ /dev/null
@@ -1,118 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-USE_RUBY="ruby19 ruby20 ruby21 ruby22"
-
-inherit apache-module flag-o-matic multilib ruby-ng toolchain-funcs
-
-DESCRIPTION="Passenger (a.k.a. mod_rails) makes deployment of Ruby on Rails applications a breeze"
-HOMEPAGE="http://modrails.com/"
-SRC_URI="http://s3.amazonaws.com/phusion-passenger/releases/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="debug"
-
-ruby_add_bdepend "dev-ruby/rake"
-
-ruby_add_rdepend "
- >=dev-ruby/rack-1.0.0:*
- >=dev-ruby/rake-0.8.1"
-
-# libev is bundled but with adapations that do not seem to be accepted
-# upstream, so we must use the bundled version :-(
-CDEPEND="
- >=dev-libs/libuv-1.5.0
- net-misc/curl[ssl]
- www-servers/apache[apache2_modules_unixd(+)]"
-
-RDEPEND="${RDEPEND} ${CDEPEND}"
-DEPEND="${DEPEND} ${CDEPEND}"
-
-APACHE2_MOD_CONF="30_mod_${PN}-5.0.0 30_mod_${PN}"
-APACHE2_MOD_DEFINE="PASSENGER"
-
-need_apache2
-
-pkg_setup() {
- use debug && append-flags -DPASSENGER_DEBUG
-}
-
-all_ruby_prepare() {
- epatch "${FILESDIR}"/${PN}-5.0.4-gentoo.patch
-
- # Change these with sed instead of a patch so that we can easily use
- # the toolchain-funcs methods.
- sed -i -e "/^CC/ s/=.*$/= '$(tc-getCC)'/" \
- -e "/^CXX/ s/=.*$/= '$(tc-getCXX)'/" \
- -e 's/PlatformInfo.debugging_cflags//' build/basics.rb || die
-
- # Avoid fixed debugging CFLAGs.
- sed -e '/debugging_cflags/areturn ""' -i lib/phusion_passenger/platform_info/compiler.rb || die
-
- # Use sed here so that we can dynamically set the documentation directory.
- sed -i -e "s:/usr/share/doc/passenger:/usr/share/doc/${P}:" \
- -e "s:/usr/lib/apache2/modules/mod_passenger.so:${APACHE_MODULESDIR}/mod_passenger.so:" \
- -e "s:/usr/lib/phusion-passenger/agents:/usr/libexec/phusion-passenger/agents:" \
- lib/phusion_passenger.rb || die
- sed -i -e "s:/usr/lib/phusion-passenger/agents:/usr/libexec/phusion-passenger/agents:" ext/common/ResourceLocator.h || die
-
- # Don't install a tool that won't work in our setup.
- sed -i -e '/passenger-install-apache2-module/d' lib/phusion_passenger/packaging.rb || die
- rm -f bin/passenger-install-apache2-module || die "Unable to remove unneeded install script."
-
- # Make sure we use the system-provided version where possible
- rm -rf ext/libuv || die "Unable to remove vendored code."
-
- # Avoid building documentation to avoid a dependency on mizuho.
- #sed -i -e 's/, :doc//' build/packaging.rb || die
- touch doc/*.html || die
-
- # Use the correct arch-specific lib directory
- sed -i -e 's:/usr/lib/:/usr/'$(get_libdir)'/:' build/packaging.rb || die
-
- # Fix hard-coded use of AR
- sed -i -e "s/ar cru/"$(tc-getAR)" cru/" build/cplusplus_support.rb || die
-}
-
-all_ruby_compile() {
- V=1 EXTRA_LDFLAGS="${LDFLAGS}" \
- APXS2="${APXS}" \
- HTTPD="${APACHE_BIN}" \
- USE_VENDORED_LIBUV="no" LIBUV_LIBS="-luv" \
- ruby -S rake apache2 || die "rake failed"
-}
-
-each_ruby_compile() {
- append-flags -fno-strict-aliasing
-
- V=1 EXTRA_LDFLAGS="${LDFLAGS}" \
- APXS2="${APXS}" \
- HTTPD="${APACHE_BIN}" \
- USE_VENDORED_LIBUV="no" LIBUV_LIBS="-luv" \
- ${RUBY} -S rake native_support || die "rake failed"
-}
-
-all_ruby_install() {
- APACHE2_MOD_FILE="${S}/buildout/apache2/mod_${PN}.so"
- apache-module_src_install
-
- # Patch in the correct libdir
- sed -i -e 's:/usr/lib/:/usr/'$(get_libdir)'/:' "${D}${APACHE_MODULES_CONFDIR}/30_mod_${PN}.conf" || die
-
- dodoc CHANGELOG README.md
-}
-
-each_ruby_install() {
- DISTDIR="${D}" \
- RUBYLIBDIR="$(ruby_rbconfig_value vendordir)" \
- RUBYARCHDIR="$(ruby_rbconfig_value archdir)" \
- APXS2="${APXS}" \
- HTTPD="${APACHE_BIN}" \
- EXTRA_LDFLAGS="${LDFLAGS}" \
- USE_VENDORED_LIBUV="no" LIBUV_LIBS="-luv" \
- ${RUBY} -S rake fakeroot || die "rake failed"
-}
diff --git a/www-apache/passenger/passenger-5.0.14.ebuild b/www-apache/passenger/passenger-5.0.14.ebuild
deleted file mode 100644
index 79dd68d1099..00000000000
--- a/www-apache/passenger/passenger-5.0.14.ebuild
+++ /dev/null
@@ -1,118 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-USE_RUBY="ruby19 ruby20 ruby21 ruby22"
-
-inherit apache-module flag-o-matic multilib ruby-ng toolchain-funcs
-
-DESCRIPTION="Passenger (a.k.a. mod_rails) makes deployment of Ruby on Rails applications a breeze"
-HOMEPAGE="http://modrails.com/"
-SRC_URI="http://s3.amazonaws.com/phusion-passenger/releases/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="debug"
-
-ruby_add_bdepend "dev-ruby/rake"
-
-ruby_add_rdepend "
- >=dev-ruby/rack-1.0.0:*
- >=dev-ruby/rake-0.8.1"
-
-# libev is bundled but with adapations that do not seem to be accepted
-# upstream, so we must use the bundled version :-(
-CDEPEND="
- >=dev-libs/libuv-1.5.0
- net-misc/curl[ssl]
- www-servers/apache[apache2_modules_unixd(+)]"
-
-RDEPEND="${RDEPEND} ${CDEPEND}"
-DEPEND="${DEPEND} ${CDEPEND}"
-
-APACHE2_MOD_CONF="30_mod_${PN}-5.0.0 30_mod_${PN}"
-APACHE2_MOD_DEFINE="PASSENGER"
-
-need_apache2
-
-pkg_setup() {
- use debug && append-flags -DPASSENGER_DEBUG
-}
-
-all_ruby_prepare() {
- epatch "${FILESDIR}"/${PN}-5.0.4-gentoo.patch
-
- # Change these with sed instead of a patch so that we can easily use
- # the toolchain-funcs methods.
- sed -i -e "/^CC/ s/=.*$/= '$(tc-getCC)'/" \
- -e "/^CXX/ s/=.*$/= '$(tc-getCXX)'/" \
- -e 's/PlatformInfo.debugging_cflags//' build/basics.rb || die
-
- # Avoid fixed debugging CFLAGs.
- sed -e '/debugging_cflags/areturn ""' -i lib/phusion_passenger/platform_info/compiler.rb || die
-
- # Use sed here so that we can dynamically set the documentation directory.
- sed -i -e "s:/usr/share/doc/passenger:/usr/share/doc/${P}:" \
- -e "s:/usr/lib/apache2/modules/mod_passenger.so:${APACHE_MODULESDIR}/mod_passenger.so:" \
- -e "s:/usr/lib/phusion-passenger/agents:/usr/libexec/phusion-passenger/agents:" \
- lib/phusion_passenger.rb || die
- sed -i -e "s:/usr/lib/phusion-passenger/agents:/usr/libexec/phusion-passenger/agents:" ext/common/ResourceLocator.h || die
-
- # Don't install a tool that won't work in our setup.
- sed -i -e '/passenger-install-apache2-module/d' lib/phusion_passenger/packaging.rb || die
- rm -f bin/passenger-install-apache2-module || die "Unable to remove unneeded install script."
-
- # Make sure we use the system-provided version where possible
- rm -rf ext/libuv || die "Unable to remove vendored code."
-
- # Avoid building documentation to avoid a dependency on mizuho.
- #sed -i -e 's/, :doc//' build/packaging.rb || die
- touch doc/*.html || die
-
- # Use the correct arch-specific lib directory
- sed -i -e 's:/usr/lib/:/usr/'$(get_libdir)'/:' build/packaging.rb || die
-
- # Fix hard-coded use of AR
- sed -i -e "s/ar cru/"$(tc-getAR)" cru/" build/cplusplus_support.rb || die
-}
-
-all_ruby_compile() {
- V=1 EXTRA_LDFLAGS="${LDFLAGS}" \
- APXS2="${APXS}" \
- HTTPD="${APACHE_BIN}" \
- USE_VENDORED_LIBUV="no" LIBUV_LIBS="-luv" \
- ruby -S rake apache2 || die "rake failed"
-}
-
-each_ruby_compile() {
- append-flags -fno-strict-aliasing
-
- V=1 EXTRA_LDFLAGS="${LDFLAGS}" \
- APXS2="${APXS}" \
- HTTPD="${APACHE_BIN}" \
- USE_VENDORED_LIBUV="no" LIBUV_LIBS="-luv" \
- ${RUBY} -S rake native_support || die "rake failed"
-}
-
-all_ruby_install() {
- APACHE2_MOD_FILE="${S}/buildout/apache2/mod_${PN}.so"
- apache-module_src_install
-
- # Patch in the correct libdir
- sed -i -e 's:/usr/lib/:/usr/'$(get_libdir)'/:' "${D}${APACHE_MODULES_CONFDIR}/30_mod_${PN}.conf" || die
-
- dodoc CHANGELOG README.md
-}
-
-each_ruby_install() {
- DISTDIR="${D}" \
- RUBYLIBDIR="$(ruby_rbconfig_value vendordir)" \
- RUBYARCHDIR="$(ruby_rbconfig_value archdir)" \
- APXS2="${APXS}" \
- HTTPD="${APACHE_BIN}" \
- EXTRA_LDFLAGS="${LDFLAGS}" \
- USE_VENDORED_LIBUV="no" LIBUV_LIBS="-luv" \
- ${RUBY} -S rake fakeroot || die "rake failed"
-}
diff --git a/www-apache/passenger/passenger-5.0.16.ebuild b/www-apache/passenger/passenger-5.0.16.ebuild
deleted file mode 100644
index 79dd68d1099..00000000000
--- a/www-apache/passenger/passenger-5.0.16.ebuild
+++ /dev/null
@@ -1,118 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-USE_RUBY="ruby19 ruby20 ruby21 ruby22"
-
-inherit apache-module flag-o-matic multilib ruby-ng toolchain-funcs
-
-DESCRIPTION="Passenger (a.k.a. mod_rails) makes deployment of Ruby on Rails applications a breeze"
-HOMEPAGE="http://modrails.com/"
-SRC_URI="http://s3.amazonaws.com/phusion-passenger/releases/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="debug"
-
-ruby_add_bdepend "dev-ruby/rake"
-
-ruby_add_rdepend "
- >=dev-ruby/rack-1.0.0:*
- >=dev-ruby/rake-0.8.1"
-
-# libev is bundled but with adapations that do not seem to be accepted
-# upstream, so we must use the bundled version :-(
-CDEPEND="
- >=dev-libs/libuv-1.5.0
- net-misc/curl[ssl]
- www-servers/apache[apache2_modules_unixd(+)]"
-
-RDEPEND="${RDEPEND} ${CDEPEND}"
-DEPEND="${DEPEND} ${CDEPEND}"
-
-APACHE2_MOD_CONF="30_mod_${PN}-5.0.0 30_mod_${PN}"
-APACHE2_MOD_DEFINE="PASSENGER"
-
-need_apache2
-
-pkg_setup() {
- use debug && append-flags -DPASSENGER_DEBUG
-}
-
-all_ruby_prepare() {
- epatch "${FILESDIR}"/${PN}-5.0.4-gentoo.patch
-
- # Change these with sed instead of a patch so that we can easily use
- # the toolchain-funcs methods.
- sed -i -e "/^CC/ s/=.*$/= '$(tc-getCC)'/" \
- -e "/^CXX/ s/=.*$/= '$(tc-getCXX)'/" \
- -e 's/PlatformInfo.debugging_cflags//' build/basics.rb || die
-
- # Avoid fixed debugging CFLAGs.
- sed -e '/debugging_cflags/areturn ""' -i lib/phusion_passenger/platform_info/compiler.rb || die
-
- # Use sed here so that we can dynamically set the documentation directory.
- sed -i -e "s:/usr/share/doc/passenger:/usr/share/doc/${P}:" \
- -e "s:/usr/lib/apache2/modules/mod_passenger.so:${APACHE_MODULESDIR}/mod_passenger.so:" \
- -e "s:/usr/lib/phusion-passenger/agents:/usr/libexec/phusion-passenger/agents:" \
- lib/phusion_passenger.rb || die
- sed -i -e "s:/usr/lib/phusion-passenger/agents:/usr/libexec/phusion-passenger/agents:" ext/common/ResourceLocator.h || die
-
- # Don't install a tool that won't work in our setup.
- sed -i -e '/passenger-install-apache2-module/d' lib/phusion_passenger/packaging.rb || die
- rm -f bin/passenger-install-apache2-module || die "Unable to remove unneeded install script."
-
- # Make sure we use the system-provided version where possible
- rm -rf ext/libuv || die "Unable to remove vendored code."
-
- # Avoid building documentation to avoid a dependency on mizuho.
- #sed -i -e 's/, :doc//' build/packaging.rb || die
- touch doc/*.html || die
-
- # Use the correct arch-specific lib directory
- sed -i -e 's:/usr/lib/:/usr/'$(get_libdir)'/:' build/packaging.rb || die
-
- # Fix hard-coded use of AR
- sed -i -e "s/ar cru/"$(tc-getAR)" cru/" build/cplusplus_support.rb || die
-}
-
-all_ruby_compile() {
- V=1 EXTRA_LDFLAGS="${LDFLAGS}" \
- APXS2="${APXS}" \
- HTTPD="${APACHE_BIN}" \
- USE_VENDORED_LIBUV="no" LIBUV_LIBS="-luv" \
- ruby -S rake apache2 || die "rake failed"
-}
-
-each_ruby_compile() {
- append-flags -fno-strict-aliasing
-
- V=1 EXTRA_LDFLAGS="${LDFLAGS}" \
- APXS2="${APXS}" \
- HTTPD="${APACHE_BIN}" \
- USE_VENDORED_LIBUV="no" LIBUV_LIBS="-luv" \
- ${RUBY} -S rake native_support || die "rake failed"
-}
-
-all_ruby_install() {
- APACHE2_MOD_FILE="${S}/buildout/apache2/mod_${PN}.so"
- apache-module_src_install
-
- # Patch in the correct libdir
- sed -i -e 's:/usr/lib/:/usr/'$(get_libdir)'/:' "${D}${APACHE_MODULES_CONFDIR}/30_mod_${PN}.conf" || die
-
- dodoc CHANGELOG README.md
-}
-
-each_ruby_install() {
- DISTDIR="${D}" \
- RUBYLIBDIR="$(ruby_rbconfig_value vendordir)" \
- RUBYARCHDIR="$(ruby_rbconfig_value archdir)" \
- APXS2="${APXS}" \
- HTTPD="${APACHE_BIN}" \
- EXTRA_LDFLAGS="${LDFLAGS}" \
- USE_VENDORED_LIBUV="no" LIBUV_LIBS="-luv" \
- ${RUBY} -S rake fakeroot || die "rake failed"
-}
diff --git a/www-apache/passenger/passenger-5.0.4.ebuild b/www-apache/passenger/passenger-5.0.4.ebuild
deleted file mode 100644
index 4d751ed7252..00000000000
--- a/www-apache/passenger/passenger-5.0.4.ebuild
+++ /dev/null
@@ -1,114 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-USE_RUBY="ruby19 ruby20 ruby21 ruby22"
-
-inherit apache-module flag-o-matic multilib ruby-ng toolchain-funcs
-
-DESCRIPTION="Passenger (a.k.a. mod_rails) makes deployment of Ruby on Rails applications a breeze"
-HOMEPAGE="http://modrails.com/"
-SRC_URI="http://s3.amazonaws.com/phusion-passenger/releases/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="debug"
-
-ruby_add_bdepend "dev-ruby/rake"
-
-ruby_add_rdepend "
- >=dev-ruby/rack-1.0.0
- >=dev-ruby/rake-0.8.1"
-
-CDEPEND=">=dev-libs/libev-4.15 net-misc/curl[ssl]
- www-servers/apache[apache2_modules_unixd(+)]"
-
-RDEPEND="${RDEPEND} ${CDEPEND}"
-DEPEND="${DEPEND} ${CDEPEND}"
-
-APACHE2_MOD_CONF="30_mod_${PN}-5.0.0 30_mod_${PN}"
-APACHE2_MOD_DEFINE="PASSENGER"
-
-need_apache2
-
-pkg_setup() {
- use debug && append-flags -DPASSENGER_DEBUG
-}
-
-all_ruby_prepare() {
- epatch "${FILESDIR}"/${PN}-5.0.4-gentoo.patch
-
- # Change these with sed instead of a patch so that we can easily use
- # the toolchain-funcs methods.
- sed -i -e "/^CC/ s/=.*$/= '$(tc-getCC)'/" \
- -e "/^CXX/ s/=.*$/= '$(tc-getCXX)'/" \
- -e 's/PlatformInfo.debugging_cflags//' build/basics.rb || die
-
- # Avoid fixed debugging CFLAGs.
- sed -e '/debugging_cflags/areturn ""' -i lib/phusion_passenger/platform_info/compiler.rb || die
-
- # Use sed here so that we can dynamically set the documentation directory.
- sed -i -e "s:/usr/share/doc/passenger:/usr/share/doc/${P}:" \
- -e "s:/usr/lib/apache2/modules/mod_passenger.so:${APACHE_MODULESDIR}/mod_passenger.so:" \
- -e "s:/usr/lib/phusion-passenger/agents:/usr/libexec/phusion-passenger/agents:" \
- lib/phusion_passenger.rb || die
- sed -i -e "s:/usr/lib/phusion-passenger/agents:/usr/libexec/phusion-passenger/agents:" ext/common/ResourceLocator.h || die
-
- # Don't install a tool that won't work in our setup.
- sed -i -e '/passenger-install-apache2-module/d' lib/phusion_passenger/packaging.rb || die
- rm -f bin/passenger-install-apache2-module || die "Unable to remove unneeded install script."
-
- # Make sure we use the system-provided version.
- rm -rf ext/libev || die "Unable to remove vendored libev."
-
- # Avoid building documentation to avoid a dependency on mizuho.
- #sed -i -e 's/, :doc//' build/packaging.rb || die
- touch doc/*.html || die
-
- # Use the correct arch-specific lib directory
- sed -i -e 's:/usr/lib/:/usr/'$(get_libdir)'/:' build/packaging.rb || die
-
- # Fix hard-coded use of AR
- sed -i -e "s/ar cru/"$(tc-getAR)" cru/" build/cplusplus_support.rb || die
-}
-
-all_ruby_compile() {
- V=1 EXTRA_LDFLAGS="${LDFLAGS}" \
- APXS2="${APXS}" \
- HTTPD="${APACHE_BIN}" \
- USE_VENDORED_LIBEV="no" LIBEV_LIBS="-lev" \
- ruby -S rake apache2 || die "rake failed"
-}
-
-each_ruby_compile() {
- append-flags -fno-strict-aliasing
-
- V=1 EXTRA_LDFLAGS="${LDFLAGS}" \
- APXS2="${APXS}" \
- HTTPD="${APACHE_BIN}" \
- USE_VENDORED_LIBEV="no" LIBEV_LIBS="-lev" \
- ${RUBY} -S rake native_support || die "rake failed"
-}
-
-all_ruby_install() {
- APACHE2_MOD_FILE="${S}/buildout/apache2/mod_${PN}.so"
- apache-module_src_install
-
- # Patch in the correct libdir
- sed -i -e 's:/usr/lib/:/usr/'$(get_libdir)'/:' "${D}${APACHE_MODULES_CONFDIR}/30_mod_${PN}.conf" || die
-
- dodoc CHANGELOG README.md
-}
-
-each_ruby_install() {
- DISTDIR="${D}" \
- RUBYLIBDIR="$(ruby_rbconfig_value vendordir)" \
- RUBYARCHDIR="$(ruby_rbconfig_value archdir)" \
- APXS2="${APXS}" \
- HTTPD="${APACHE_BIN}" \
- EXTRA_LDFLAGS="${LDFLAGS}" \
- USE_VENDORED_LIBEV="no" LIBEV_LIBS="-lev" \
- ${RUBY} -S rake fakeroot || die "rake failed"
-}